Bug 301 - unbound-checkconf cannot parse interface '0.0.0.0@5353'
unbound-checkconf cannot parse interface '0.0.0.0@5353'
Status: RESOLVED FIXED
Product: unbound
Classification: Unclassified
Component: server
unspecified
Other Linux
: P2 normal
Assigned To: unbound team
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-19 22:09 CET by dave.sparks
Modified: 2010-03-22 10:39 CET (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dave.sparks 2010-03-19 22:09:12 CET
unbound-checkconf can't parse addresses with @port properly.  This doesn't seem to affect unbound which seems to start and run with the interface line that checkconf errors out on.

OS: Gentoo
Unbound: 1.4.3

In /etc/unbound/unbound.conf:
        interface: 0.0.0.0@5353                                              


colo-ns1 etc # unbound-checkconf /etc/unbound/unbound.conf
[1269032757] unbound-checkconf[17805:0] fatal error: cannot parse interface specified as '0.0.0.0@5353'


colo-ns1 etc # unbound -h
usage:  unbound [options]
        start unbound daemon DNS resolver.
-h      this help
-c file config file to read instead of /etc/unbound/unbound.conf
        file format is described in unbound.conf(5).
-d      do not fork into the background.
-v      verbose (more times to increase verbosity)
Version 1.4.3
linked libs: event 1.4.13-stable, ldns 1.6.4, OpenSSL 0.9.8l 5 Nov 2009
linked modules: python validator iterator
Comment 1 Wouter Wijngaards 2010-03-22 10:39:47 CET
Hi Dave,

Thanks for the report.  Fixed in svn trunk r2057.

Best regards,   Wouter